#!/usr/bin/env bash

function miner_ver() {
  local MINER_VER=$CMINER_VER
  [[ -z $MINER_VER ]] && MINER_VER=$MINER_LATEST_VER
  echo $MINER_VER
}

function miner_config_echo() {
  local MINER_VER=`miner_ver`
  miner_echo_config_file "$MINER_DIR/$MINER_VER/miner.conf"
}

function miner_config_gen() {
  local MINER_CONFIG="$MINER_DIR/$MINER_VER/miner.conf"
  mkfile_from_symlink $MINER_CONFIG

  local conf=
  local POOLS=()
  for pool_url in $CMINER_URL; do
    [[ $pool_url =~ (.+)://(.+) ]] && pool_url=${BASH_REMATCH[2]}
    [[ $CMINER_TLS -eq 1 ]] && pool_url="tls://$pool_url"

    POOLS+=("$pool_url")
  done
  conf+="POOLS=( ${POOLS[@]} )"$'\n'
  conf+="CONFIG=\"$CMINER_USER_CONFIG\""$'\n'
  conf+="WALLET=\"$CMINER_TEMPLATE\""$'\n'
  conf+="WORKER=\"$CMINER_WORKER\""$'\n'
  conf+="ALGO=\"$CMINER_ALGO\""$'\n'
  conf+="PASS=\"$CMINER_PASS\""$'\n'

  echo "$conf" > $MINER_CONFIG
}
