#!/usr/bin/env bash

cd $MINER_DIR/$MINER_VER

MINER_LOG_BASEDIR=`dirname "$MINER_LOG_BASENAME"`
[[ ! -d $MINER_LOG_BASEDIR ]] && mkdir -p $MINER_LOG_BASEDIR

touch $MINER_LOG_BASENAME.log

source miner.conf

AMDCNT=`gpu-detect AMD`
NVCNT=`gpu-detect NVIDIA`

worker=
[[ -n $WORKER ]] && worker=" --worker $WORKER"

pass=
[[ -n $PASS ]] && pass=" --pass $PASS"

for pool in "${POOLS[@]}"; do
  echo "Using ${WHITE}$pool${NOCOLOR}"
  wd delay $(( (AMDCNT+NVCNT)*5 + 1 ))
  ./CMiner --server $pool --wallet ${WALLET}${worker}${pass} --algo $ALGO --api 127.0.0.1:$MINER_API_PORT 2>&1 | tee --append $MINER_LOG_BASENAME.log
  [[ $? -gt 127 ]] && break
done
